import { GET_NANO_CREDIT_HISTORY_USER_ERROR, GET_NANO_CREDIT_HISTORY_USER_PENDING, GET_NANO_CREDIT_HISTORY_USER_RESET, GET_NANO_CREDIT_HISTORY_USER_SUCCESS } from "../types/NanoCreditType";

const initialState = {
     loading: false,
     result: null,
     error: null
};

export default (state = initialState, action) => {
     switch (action.type) {
          case GET_NANO_CREDIT_HISTORY_USER_PENDING: return {
               ...state,
               loading: true
          }
          case GET_NANO_CREDIT_HISTORY_USER_SUCCESS: return {
               ...state,
               loading: false,
               result: action.result.data,
               error: null
          }
          case GET_NANO_CREDIT_HISTORY_USER_ERROR: return {
               ...state,
               loading: false,
               result: null,
               error: action.result
          }
          case GET_NANO_CREDIT_HISTORY_USER_RESET: return initialState;

          default: {
               return state;
          }
     }
};
